# Uses of Enum Class
org.apache.sysds.lops.WeightedSigmoid.WSigmoidType

Packages that use WeightedSigmoid.WSigmoidType
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of WeightedSigmoid.WSigmoidType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return WeightedSigmoid.WSigmoidType
Modifier and Type
Method
Description
`static WeightedSigmoid.WSigmoidType`
WeightedSigmoid.WSigmoidType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedSigmoid.WSigmoidType[]`
WeightedSigmoid.WSigmoidType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type WeightedSigmoid.WSigmoidType
Modifier
Constructor
Description
``
`WeightedSigmoid(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedSigmoid.WSigmoidType wt, Types.ExecType et)`
``
`WeightedSigmoidR(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, WeightedSigmoid.WSigmoidType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`

## Uses of WeightedSigmoid.WSigmoidType in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type WeightedSigmoid.WSigmoidType
Modifier and Type
Method
Description
`static void`
LibMatrixMult.`matrixMultWSigmoid(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, MatrixBlock ret, WeightedSigmoid.WSigmoidType wt)`
`static void`
LibMatrixMult.`matrixMultWSigmoid(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, MatrixBlock ret, WeightedSigmoid.WSigmoidType wt, int k)`

## Uses of WeightedSigmoid.WSigmoidType in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as WeightedSigmoid.WSigmoidType
Modifier and Type
Field
Description
`final WeightedSigmoid.WSigmoidType`
QuaternaryOperator.`wtype2`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type WeightedSigmoid.WSigmoidType
Modifier
Constructor
Description
``
`QuaternaryOperator(WeightedSigmoid.WSigmoidType wt)`
wsigmoid